# Generated by Django 3.1.1 on 2020-09-19 18:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('datengegenrechts', '0003_auto_20200919_1802'),
    ]

    operations = [
        migrations.CreateModel(
            name='Origin',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('url', models.URLField(blank=True, null=True)),
                ('license', models.CharField(blank=True, max_length=255, null=True)),
            ],
        ),
        migrations.AlterField(
            model_name='incident',
            name='location',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='incident', to='datengegenrechts.location'),
        ),
        migrations.AlterField(
            model_name='incident',
            name='motive',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='incident', to='datengegenrechts.motive'),
        ),
        migrations.AddField(
            model_name='incident',
            name='origin',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='incident', to='datengegenrechts.origin'),
        ),
    ]
